# perl
#
# Minimal report example, data rows given as hash reference
#
# PORF Perl Open Report Framework
#
# Ralf Peine, Sat May 04 11:09:25 2013
#
#------------------------------------------------------------------------------

use warnings;
use strict;

use Report::Porf::Framework;

sub RunExample {
    my $person_rows   = shift; # Param1: Reference to list of hashes
    my $format        = shift; # Param2: Optional: format of report

    $format = 'text' unless $format;

    my $count_rows    = scalar @{$person_rows};
    my $out_file_name = "result_minimal_hash_${count_rows}.${format}";

    # --- Create Report -------------------------------------------------------
    my $report_frame_work = Report::Porf::Framework::Get();
    my $report            = $report_frame_work->CreateReport($format);

    # $report->SetVerbose(3); # uncomment to see infos about configuring phase

    # --- Configure Report ----------------------------------------------------

    $report->ConfigureColumn(-header => 'Prename', -value_named => 'Prename' ); # long
    $report->ConfCol        (-h      => 'Surname', -val_nam     => 'Surname' ); # short
    $report->CC             (-h      => 'Age',     -vn          => 'Age'     ); # minimal

    $report->ConfigureComplete();

    # --- print out table -----------------------------------   

    $report->WriteAll($person_rows, $out_file_name);

    # --- return count of entries ---------------------------   

    return ($count_rows);
}

1;
