# perl
#
# Minimal report example, data rows given as object reference
#
# PORF Perl Open Report Framework
#
# Ralf Peine, Fri May  3 08:01:32 2013
#
#------------------------------------------------------------------------------

use warnings;
use strict;

use Report::Porf::Framework;

sub RunExample {
	my $person_rows   = shift; # Param1: Reference to list of objectes
	my $format        = shift; # Param2: Optional: format of report

	$format = 'text' unless $format;

	my $count_rows    = scalar @{$person_rows};
	my $out_file_name = "result_minimal_object_${count_rows}.${format}";

	# --- Create Report -------------------------------------------------------
	my $report_frame_work = Report::Porf::Framework::Get();
	my $report            = $report_frame_work->CreateReport($format);

	# $report->SetVerbose(3); # uncomment to see infos about configuring phase

	# --- Configure Report ----------------------------------------------------

	$report->ConfigureColumn(-header => 'Prename', -value_object => 'GetPrename()' ); # long
	$report->ConfCol        (-h      => 'Surname', -val_obj      => 'GetSurname()' ); # short
	$report->CC             (-h      => 'Age',     -vo           => 'GetAge()'     ); # minimal

	$report->ConfigureComplete();

	# --- print out table -----------------------------------	

	$report->WriteAll($person_rows, $out_file_name);

	# --- return count of entries ---------------------------	

	return ($count_rows);
}

1;
