# perl
#
# Minimal report example, data rows given as hash reference
#
# PORF Perl Open Report Framework
#
# Ralf Peine, Sat May 04 11:09:25 2013
#
#------------------------------------------------------------------------------

use warnings;
use strict;

use Report::Porf::Framework;

sub RunExample {
    my $person_rows   = shift; # Param1: Reference to list of hashes
    my $format        = shift; # Param2: Optional: format of report

    $format = 'text' unless $format;

    my $count_rows    = scalar @{$person_rows};
    my $out_file_name = "result_presentation_mini_${count_rows}.${format}";

    # --- Write A Report In 4+n Statements ! ---------------------------   

    my $report_framework = Report::Porf::Framework::Get();
    my $report = $report_framework->CreateReport($format);

    $report->ConfigureColumn (-header => 'Vorname',  -value_named => 'Prename' );
    $report->ConfCol         (-h      => 'Nachname', -val_nam     => 'Surname');
    $report->CC              (-h      => 'Alter',    -vn          => 'Age');
    
    $report->ConfigureComplete();
    $report->WriteAll($person_rows, $out_file_name);

    # --- return count of entries ---------------------------   

    return ($count_rows);
}

1;
