# perl
#
# Minimal report example using shortest options,
# data rows given as array reference
#
# PORF Perl Open Report Framework
#
# Ralf Peine, Sat May 04 11:10:35 2013
#
#------------------------------------------------------------------------------

use warnings;
use strict;

use Report::Porf::Framework;

sub RunExample {
    my $person_rows   = shift; # Param1: Reference to list of arrays
    my $format        = shift; # Param2: Optional: format of report

    $format = 'text' unless $format;

    # --- Create Report -------------------------------------------------------
    my $report_frame_work = Report::Porf::Framework::Get();
    my $r                 = $report_frame_work->CreateReport($format);

    # $r->SetVerbose(3); # uncomment to see infos about configuring phase

    # --- Configure Report ----------------------------------------------------

    # store info about data columns
    # my $count_idx = 0;            # not used!
    my $prename_idx = 1;
    my $surname_idx = 2;
    my $age_idx     = 3;
    # my $time_idx  = 4;            # not used!
    
    $r->CC(-h => 'Prename', -vi => $prename_idx);
    $r->CC(-h => 'Surname', -vi => $surname_idx);       
    $r->CC(-h => 'Age',     -vi => $age_idx    );       

    $r->ConfigureComplete();

    # --- print out table -----------------------------------   

    $r->WriteAll($person_rows); # print STDOUT ...

    # --- return count of entries ---------------------------   

    return (scalar @{$person_rows});
}

1;
