# perl
#
# Minimal report example using shortest options,
# data rows given as hash references
#
# PORF Perl Open Report Framework
#
# Ralf Peine, Sat May 04 11:10:03 2013
#
#------------------------------------------------------------------------------

use warnings;
use strict;

use Report::Porf::Framework;

sub RunExample {
    my $person_rows   = shift; # Param1: Reference to list of hashes
    my $format        = shift; # Param2: Optional: format of report

    $format = 'text' unless $format;

    # --- Create Report -------------------------------------------------------
    my $report_frame_work = Report::Porf::Framework::Get();
    my $r                 = $report_frame_work->CreateReport($format);

    # $r->SetVerbose(3); # uncomment to see infos about configuring phase

    # --- Configure Report ----------------------------------------------------

    $r->CC(-h => 'Prename', -vn => 'Prename');
    $r->CC(-h => 'Surname', -vn => 'Surname');  
    $r->CC(-h => 'Age',     -vn => 'Age'    );  

    $r->ConfigureComplete();

    # --- print out table -----------------------------------   

    $r->WriteAll($person_rows); # print STDOUT ...

    # --- return count of entries ---------------------------   

    return (scalar @{$person_rows});
}

1;
